/*
 * Interface wrapper code.
 *
 * Generated by SIP 4.16.6
 *
 * Copyright (c) 2014 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of QScintilla.
 * 
 * This file may be used under the terms of the GNU General Public
 * License versions 2.0 or 3.0 as published by the Free Software
 * Foundation and appearing in the files LICENSE.GPL2 and LICENSE.GPL3
 * included in the packaging of this file.  Alternatively you may (at
 * your option) use any later version of the GNU General Public
 * License if such license has been publicly approved by Riverbank
 * Computing Limited (or its successors, if any) and the KDE Free Qt
 * Foundation. In addition, as a special exception, Riverbank gives you
 * certain additional rights. These rights are described in the Riverbank
 * GPL Exception version 1.1, which can be found in the file
 * GPL_EXCEPTION.txt in this package.
 * 
 * If you are unsure which license is appropriate for your use, please
 * contact the sales department at sales@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#include "sipAPIQsci.h"

#line 29 "sip/qscicommandset.sip"
#include <Qsci/qscicommandset.h>
#line 34 "./sipQsciQsciCommandSet.cpp"

#line 29 "sip/qsciscintilla.sip"
#include <Qsci/qsciscintilla.h>
#line 38 "./sipQsciQsciCommandSet.cpp"
#line 29 "sip/qscicommand.sip"
#include <Qsci/qscicommand.h>
#line 41 "./sipQsciQsciCommandSet.cpp"
#line 144 "/usr/share/sip/PyQt5/QtCore/qpycore_qlist.sip"
#include <qlist.h>
#line 44 "./sipQsciQsciCommandSet.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qsettings.sip"
#include <qsettings.h>
#line 47 "./sipQsciQsciCommandSet.cpp"


PyDoc_STRVAR(doc_QsciCommandSet_readSettings, "QsciCommandSet.readSettings(QSettings, str prefix=\"/Scintilla\") -> bool");

extern "C" {static PyObject *meth_QsciCommandSet_readSettings(PyObject *, PyObject *, PyObject *);}
static PyObject *meth_QsciCommandSet_readSettings(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
{
    PyObject *sipParseErr = NULL;

    {
        QSettings* a0;
        const char* a1 = "/Scintilla";
        PyObject *a1Keep = 0;
        QsciCommandSet *sipCpp;

        static const char *sipKwdList[] = {
            NULL,
            sipName_prefix,
        };

        if (sipParseKwdArgs(&sipParseErr, sipArgs, sipKwds, sipKwdList, NULL, "BJ9|AA", &sipSelf, sipType_QsciCommandSet, &sipCpp, sipType_QSettings, &a0, &a1Keep, &a1))
        {
            bool sipRes;

            sipRes = sipCpp->readSettings(*a0,a1);
            Py_XDECREF(a1Keep);

            return PyBool_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_QsciCommandSet, sipName_readSettings, doc_QsciCommandSet_readSettings);

    return NULL;
}


PyDoc_STRVAR(doc_QsciCommandSet_writeSettings, "QsciCommandSet.writeSettings(QSettings, str prefix=\"/Scintilla\") -> bool");

extern "C" {static PyObject *meth_QsciCommandSet_writeSettings(PyObject *, PyObject *, PyObject *);}
static PyObject *meth_QsciCommandSet_writeSettings(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
{
    PyObject *sipParseErr = NULL;

    {
        QSettings* a0;
        const char* a1 = "/Scintilla";
        PyObject *a1Keep = 0;
        QsciCommandSet *sipCpp;

        static const char *sipKwdList[] = {
            NULL,
            sipName_prefix,
        };

        if (sipParseKwdArgs(&sipParseErr, sipArgs, sipKwds, sipKwdList, NULL, "BJ9|AA", &sipSelf, sipType_QsciCommandSet, &sipCpp, sipType_QSettings, &a0, &a1Keep, &a1))
        {
            bool sipRes;

            sipRes = sipCpp->writeSettings(*a0,a1);
            Py_XDECREF(a1Keep);

            return PyBool_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_QsciCommandSet, sipName_writeSettings, doc_QsciCommandSet_writeSettings);

    return NULL;
}


PyDoc_STRVAR(doc_QsciCommandSet_commands, "QsciCommandSet.commands() -> list-of-QsciCommand");

extern "C" {static PyObject *meth_QsciCommandSet_commands(PyObject *, PyObject *);}
static PyObject *meth_QsciCommandSet_commands(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        QsciCommandSet *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_QsciCommandSet, &sipCpp))
        {
            QList<QsciCommand*>*sipRes;

            sipRes = &sipCpp->commands();

            return sipConvertFromType(sipRes,sipType_QList_0101QsciCommand,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_QsciCommandSet, sipName_commands, doc_QsciCommandSet_commands);

    return NULL;
}


PyDoc_STRVAR(doc_QsciCommandSet_clearKeys, "QsciCommandSet.clearKeys()");

extern "C" {static PyObject *meth_QsciCommandSet_clearKeys(PyObject *, PyObject *);}
static PyObject *meth_QsciCommandSet_clearKeys(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        QsciCommandSet *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_QsciCommandSet, &sipCpp))
        {
            sipCpp->clearKeys();

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_QsciCommandSet, sipName_clearKeys, doc_QsciCommandSet_clearKeys);

    return NULL;
}


PyDoc_STRVAR(doc_QsciCommandSet_clearAlternateKeys, "QsciCommandSet.clearAlternateKeys()");

extern "C" {static PyObject *meth_QsciCommandSet_clearAlternateKeys(PyObject *, PyObject *);}
static PyObject *meth_QsciCommandSet_clearAlternateKeys(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        QsciCommandSet *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_QsciCommandSet, &sipCpp))
        {
            sipCpp->clearAlternateKeys();

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_QsciCommandSet, sipName_clearAlternateKeys, doc_QsciCommandSet_clearAlternateKeys);

    return NULL;
}


PyDoc_STRVAR(doc_QsciCommandSet_boundTo, "QsciCommandSet.boundTo(int) -> QsciCommand");

extern "C" {static PyObject *meth_QsciCommandSet_boundTo(PyObject *, PyObject *);}
static PyObject *meth_QsciCommandSet_boundTo(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        int a0;
        const QsciCommandSet *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "Bi", &sipSelf, sipType_QsciCommandSet, &sipCpp, &a0))
        {
            QsciCommand*sipRes;

            sipRes = sipCpp->boundTo(a0);

            return sipConvertFromType(sipRes,sipType_QsciCommand,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_QsciCommandSet, sipName_boundTo, doc_QsciCommandSet_boundTo);

    return NULL;
}


PyDoc_STRVAR(doc_QsciCommandSet_find, "QsciCommandSet.find(QsciCommand.Command) -> QsciCommand");

extern "C" {static PyObject *meth_QsciCommandSet_find(PyObject *, PyObject *);}
static PyObject *meth_QsciCommandSet_find(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        QsciCommand::Command a0;
        const QsciCommandSet *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "BE", &sipSelf, sipType_QsciCommandSet, &sipCpp, sipType_QsciCommand_Command, &a0))
        {
            QsciCommand*sipRes;

            sipRes = sipCpp->find(a0);

            return sipConvertFromType(sipRes,sipType_QsciCommand,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_QsciCommandSet, sipName_find, doc_QsciCommandSet_find);

    return NULL;
}


/* Cast a pointer to a type somewhere in its superclass hierarchy. */
extern "C" {static void *cast_QsciCommandSet(void *, const sipTypeDef *);}
static void *cast_QsciCommandSet(void *ptr, const sipTypeDef *targetType)
{
    if (targetType == sipType_QsciCommandSet)
        return ptr;

    return NULL;
}


/* Call the instance's destructor. */
extern "C" {static void release_QsciCommandSet(void *, int);}
static void release_QsciCommandSet(void *,int)
{
}


static PyMethodDef methods_QsciCommandSet[] = {
    {SIP_MLNAME_CAST(sipName_boundTo), meth_QsciCommandSet_boundTo, METH_VARARGS, SIP_MLDOC_CAST(doc_QsciCommandSet_boundTo)},
    {SIP_MLNAME_CAST(sipName_clearAlternateKeys), meth_QsciCommandSet_clearAlternateKeys, METH_VARARGS, SIP_MLDOC_CAST(doc_QsciCommandSet_clearAlternateKeys)},
    {SIP_MLNAME_CAST(sipName_clearKeys), meth_QsciCommandSet_clearKeys, METH_VARARGS, SIP_MLDOC_CAST(doc_QsciCommandSet_clearKeys)},
    {SIP_MLNAME_CAST(sipName_commands), meth_QsciCommandSet_commands, METH_VARARGS, SIP_MLDOC_CAST(doc_QsciCommandSet_commands)},
    {SIP_MLNAME_CAST(sipName_find), meth_QsciCommandSet_find, METH_VARARGS, SIP_MLDOC_CAST(doc_QsciCommandSet_find)},
    {SIP_MLNAME_CAST(sipName_readSettings), (PyCFunction)meth_QsciCommandSet_readSettings, METH_VARARGS|METH_KEYWORDS, SIP_MLDOC_CAST(doc_QsciCommandSet_readSettings)},
    {SIP_MLNAME_CAST(sipName_writeSettings), (PyCFunction)meth_QsciCommandSet_writeSettings, METH_VARARGS|METH_KEYWORDS, SIP_MLDOC_CAST(doc_QsciCommandSet_writeSettings)}
};


pyqt5ClassTypeDef sipTypeDef_Qsci_QsciCommandSet = {
{
    {
        -1,
        0,
        0,
        SIP_TYPE_SUPER_INIT|SIP_TYPE_CLASS,
        sipNameNr_QsciCommandSet,
        {0}
    },
    {
        sipNameNr_QsciCommandSet,
        {0, 0, 1},
        7, methods_QsciCommandSet,
        0, 0,
        0, 0,
        {0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
    },
    0,
    sipNameNr_PyQt5_QtCore_pyqtWrapperType,
    -1,
    0,
    0,
    0,
    0,
    0,
#if PY_MAJOR_VERSION >= 3
    0,
    0,
#else
    0,
    0,
    0,
    0,
#endif
    0,
    0,
    0,
    0,
    release_QsciCommandSet,
    cast_QsciCommandSet,
    0,
    0,
    0,
    0,
    0,
    0
},
    0,
    0,
    0,
    0
};
